/*******************************************************************************
* File Name: PSFB_1.h  
* Version 1.0
*
* Description:
*  Contains the prototypes and constants for the functions available to the 
*  PSFB user module.
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#include "cytypes.h"
#include "cyfitter.h"

#if (0)
#else
#include "PSFB_1_internal_pwm.h"
#endif

#include "CyLib.h" /* For CyEnterCriticalSection() and CyExitCriticalSection() functions */

#if !defined(CY_PWM_PSFB_1_H)
#define CY_PWM_PSFB_1_H



#if (0)
#define	PSFB_1_Start()						
#define	PSFB_1_Stop()							
#define PSFB_1_Init() 						
#define PSFB_1_Enable() 						
#define PSFB_1_Sleep() 						
#define PSFB_1_Wakeup() 						
#define PSFB_1_SaveConfig() 					
#define PSFB_1_RestoreConfig() 				
#else
#define	PSFB_1_Start()						PSFB_1_internal_pwm_Start();
#define	PSFB_1_Stop()							PSFB_1_internal_pwm_Stop();
#define PSFB_1_ReadControlRegister() 			CY_GET_REG8(PSFB_1_internal_pwm_CONTROL_PTR) 
#define PSFB_1_WriteControlRegister(control) 	CY_SET_REG8(PSFB_1_internal_pwm_CONTROL_PTR, control)
#define	PSFB_1_WritePeriod(val)				PSFB_1_internal_pwm_WritePeriod(val);
#define	PSFB_1_ReadPeriod()					PSFB_1_internal_pwm_ReadPeriod();
#define	PSFB_1_WriteCompare(val)				PSFB_1_internal_pwm_WriteCompare(val);
#define	PSFB_1_ReadCompare()					PSFB_1_internal_pwm_ReadCompare();
#define PSFB_1_Init() 						PSFB_1_internal_pwm_Init();
#define PSFB_1_Enable() 						PSFB_1_internal_pwm_Enable();
#define PSFB_1_Sleep() 						PSFB_1_internal_pwm_Sleep();
#define PSFB_1_Wakeup() 						PSFB_1_internal_pwm_Wakeup();
#define PSFB_1_SaveConfig() 					PSFB_1_internal_pwm_SaveConfig();
#define PSFB_1_RestoreConfig() 				PSFB_1_internal_pwm_RestoreConfig();
#endif	/* $RemoveInternalPWM */





#endif  /* CY_PWM_PSFB_1_H */


/* [] END OF FILE */
